## zendframework 1.12.9+dfsg

=== documentation/manual/Makefile ===
#
# Zend Framework
#
# LICENSE
#
# This source file is subject to the new BSD license that is bundled
# with this package in the file LICENSE.txt.
# It is also available through the world-wide-web at this URL:
# http://framework.zend.com/license/new-bsd
# If you did not receive a copy of the license and are unable to
# obtain it through the world-wide-web, please send an email
# to license@zend.com so we can send you a copy immediately.
#
# @copyright  Copyright (c) 2005-2014 Zend Technologies USA Inc. (http://www.zend.com)
# @license    http://framework.zend.com/license/new-bsd     New BSD License
#

LANG=*
DOCBOOK_DTD=http://framework.zend.com/docbook/xml/4.5/docbookx.dtd
DOCBOOK_XSL=http://framework.zend.com/docbook-xsl/htmlhelp/htmlhelp.xsl

all: html

html: 
	@for lang in ./$(LANG) ; \
	do \
	    [ -d $$lang ] || continue ; \
	    ( cd $$lang && autoconf && ./configure && \
		make "DOCBOOK_DTD=$(DOCBOOK_DTD)" "DOCBOOK_XSL=$(DOCBOOK_XSL)" 2>&1 | tee err.txt ) ; \
	    echo "LANG $$lang done." ; \
	done

clean:
	@for lang in $(LANG) ; \
	do \
	    [ -d $$lang ] || continue ; \
	    ( cd $$lang && rm -rf html/*.html html/HTML.manifest html/figures _temp_*.xml) ; \
	    echo "LANG=$$lang done." ; \
	done

cleanall:
	@for lang in $(LANG) ; \
	do \
	    [ -d $$lang ] || continue ; \
	    ( cd $$lang && rm -rf html/*.html html/HTML.manifest html/figures _temp_*.xml \
		config.* configure autom4te.cache Makefile html.xsl manual.xml err.txt ) ; \
	    echo "LANG $$lang done." ; \
	done

=== debian/changelog ===
zendframework (1.12.9+dfsg-2+deb8u7) jessie-security; urgency=medium

  * Non-maintainer upload by the LTS Team. 
  * CVE-2016-4861
    Allowing remote attackers to conduct SQL injection attacks by 
    leveraging failure to remove comments from an SQL statement 
    before validation. 

 -- Thorsten Alteholz <debian@alteholz.de>  Thu, 28 Jun 2018 19:37:00 +0200

zendframework (1.12.9+dfsg-2+deb8u6) jessie; urgency=medium

  * Fix regression from ZF2015-08: binary data corruption
  * Backport security fix from 1.12.18:
    - ZF2016-01: Potential Insufficient Entropy Vulnerability in ZF1
      http://framework.zend.com/security/advisory/ZF2016-01

 -- David Prévot <taffit@debian.org>  Wed, 13 Apr 2016 16:37:00 -0400

zendframework (1.12.9+dfsg-2+deb8u5) jessie; urgency=medium

  * Backport security fix from 1.12.17:
    - ZF2015-09: Fixed entropy issue in word CAPTCHA
      http://framework.zend.com/security/advisory/ZF2015-09

 -- David Prévot <taffit@debian.org>  Tue, 24 Nov 2015 18:21:26 -0400

zendframework (1.12.9+dfsg-2+deb8u4) jessie-security; urgency=high

  * Backport security fixes from 1.12.16:
    - ZF2015-07: Filesystem Permissions Issues in Multiple Components
      http://framework.zend.com/security/advisory/ZF2015-07
      [CVE-2015-5723]
    - ZF2015-08: Potential SQL injection vector using null byte for PDO
      (MsSql, SQLite)
      http://framework.zend.com/security/advisory/ZF2015-08
      [CVE-2014-8089]

 -- David Prévot <taffit@debian.org>  Wed, 16 Sep 2015 08:54:02 -0400

zendframework (1.12.9+dfsg-2+deb8u3) jessie-security; urgency=high

  * ZF2015-06: XXE/XEE vector when using ZendXml on multibyte payloads
    http://framework.zend.com/security/advisory/ZF2015-06
    [CVE-2015-5161]

 -- David Prévot <taffit@debian.org>  Tue, 18 Aug 2015 18:00:37 +0200

zendframework (1.12.9+dfsg-2+deb8u2) jessie-security; urgency=high

  * Update ZF2015-04 patch.
    Use the final upstream patch instead of the initial one.
    No actual change other than spaces, comments and tests.
    It will ease cherry-picking further fixes if needed.
  * Fix regression in headers creation.
    Non-string and non-stringable objects were not allowed anymore with the
    ZF2015-04 patch. This broke a number of other classes, however, which
    required integer and/or float values (e.g., to set a Content-Length
    header).

 -- David Prévot <taffit@debian.org>  Sat, 23 May 2015 12:13:17 -0400

zendframework (1.12.9+dfsg-2+deb8u1) jessie-security; urgency=high

  * Track Jessie update in the jessie branch
  * Fix ZF2015-04: CRLF injections in HTTP and Mail
    http://framework.zend.com/security/advisory/ZF2015-04
    [CVE-2015-3154]

 -- David Prévot <taffit@debian.org>  Thu, 14 May 2015 10:31:52 -0400

zendframework (1.12.9+dfsg-2) unstable; urgency=medium

  * Revert tests during package build (Closes: #765155)
  * Use repacksuffix feature of uscan

 -- David Prévot <taffit@debian.org>  Mon, 13 Oct 2014 22:40:34 -0400

zendframework (1.12.9+dfsg-1) unstable; urgency=medium

  [ Matthew Weier O'Phinney ]
  * [ZF2014-05] Fix for null-byte binding
  * [#372] Quote null byte characters
  * [1.12.9] Release readiness

  [ David Prévot ]
  * Bump standards version to 3.9.6

 -- David Prévot <taffit@debian.org>  Thu, 18 Sep 2014 20:28:35 -0400

zendframework (1.12.8+dfsg-1) unstable; urgency=medium

  * Imported Upstream version 1.12.8+dfsg (Closes: #759575)
  * Exclude sourceless and non-free files from source
  * Add watch file and get-orig-source target
  * debian/patches:
    - Handle with gbp pq
    - Add patches to run tests
  * debian/rules:
    - Use php for section
    - Maintain package in the PHP PEAR Maintainers team
    - Declare Vcs-* entries
    - Bump standards version to 3.9.5
  * Use format 3.0 (quilt) instead of quilt
  * Update copyright in format 1.0
  * Use pkg-php-tools Composer helper
  * Run tests during package build
  * Use fonts from ttf-bitstream-vera for tests

 -- David Prévot <taffit@debian.org>  Wed, 03 Sep 2014 17:02:50 -0400

zendframework (1.12.7-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release, fixes a security issue (Closes: #754201):
    - ZF2014-04: Potential SQL injection in the ORDER implementation of
      Zend_Db_Select
      http://framework.zend.com/security/advisory/ZF2014-04

 -- David Prévot <taffit@debian.org>  Tue, 08 Jul 2014 12:33:40 -0400

zendframework (1.12.5-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release, fixes several security issues (Closes: #743175):
    - ZF2014-01: Potential XXE/XEE attacks using PHP functions:
      simplexml_load_*, DOMDocument::loadXML, and xml_parse
      http://framework.zend.com/security/advisory/ZF2014-01
      [CVE-2014-2681] [CVE-2014-2682] [CVE-2014-2683]
    - F2014-02: Potential security issue in login mechanism of ZendOpenId and
      Zend_OpenId consumer
      http://framework.zend.com/security/advisory/ZF2014-02
      [CVE-2014-2684] [CVE-2014-2685]
  * Update copyright years

 -- David Prévot <taffit@debian.org>  Mon, 14 Apr 2014 14:48:35 -0400

zendframework (1.12.3-1) unstable; urgency=low

  * new upstream release
  * removed windows azure stuff for windows platform from library path

 -- Frank Habermann <lordlamer@lordlamer.de>  Wed, 24 May 2013 22:17:00 +0200

zendframework (1.11.12-1) unstable; urgency=high

  * new upstream release
    - fixes Local file disclosure via XXE injection (Closes: #679215)
  * changed Standards-Version to 3.9.3
  * added DM-Upload-Allowed to control

 -- Frank Habermann <lordlamer@lordlamer.de>  Wed, 27 Jun 2012 21:36:00 +0200

zendframework (1.11.11-1) unstable; urgency=low

  * new upstream release
  * changed Standards-Version to 3.9.2

 -- Frank Habermann <lordlamer@lordlamer.de>  Sat, 11 Feb 2012 21:53:00 +0200

zendframework (1.11.10-1) unstable; urgency=low

  * new upstream release

 -- Frank Habermann <lordlamer@lordlamer.de>  Sun, 07 Aug 2011 20:24:00 +0200



=== debian/control ===
Source: zendframework
Section: php
Priority: optional
Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
Uploaders: Frank Habermann <lordlamer@lordlamer.de>,
           ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>,
           David Prévot <taffit@debian.org>
Build-Depends: debhelper (>= 7.0.50), pkg-php-tools (>= 1.7~)
Standards-Version: 3.9.6
Homepage: http://framework.zend.com
Vcs-Git: git://anonscm.debian.org/pkg-php/zendframework.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/zendframework.git

Package: zendframework
Architecture: all
Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
Suggests: php5-curl,
          php5-gd,
          php5-imap,
          php5-json,
          php5-ldap,
          php5-mysql,
          php5-pgsql,
          php5-sqlite,
          ${phpcomposer:Debian-suggest}
Replaces: ${phpcomposer:Debian-replace}
Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
Provides: zend-framework, ${phpcomposer:Debian-provide}
Description: powerful PHP framework
 Extending the art & spirit of PHP, Zend Framework is based on simplicity,
 object-oriented best practices, corporate friendly licensing, and a rigorously
 tested agile codebase. Zend Framework is focused on building more secure,
 reliable, and modern Web 2.0 applications & web services, and consuming widely
 available APIs from leading vendors like Google, Amazon, Yahoo!, Flickr, as
 well as API providers and cataloguers like StrikeIron and ProgrammableWeb.

Package: zendframework-bin
Architecture: all
Depends: php5-cli, zendframework, ${misc:Depends}
Description: binary scripts for zendframework
 Extending the art & spirit of PHP, Zend Framework is based on simplicity,
 object-oriented best practices, corporate friendly licensing, and a rigorously
 tested agile codebase. Zend Framework is focused on building more secure,
 reliable, and modern Web 2.0 applications & web services, and consuming widely
 available APIs from leading vendors like Google, Amazon, Yahoo!, Flickr, as
 well as API providers and cataloguers like StrikeIron and ProgrammableWeb.

Package: zendframework-resources
Architecture: all
Depends: zendframework, ${misc:Depends}
Description: resource scripts for zendframework
 Extending the art & spirit of PHP, Zend Framework is based on simplicity,
 object-oriented best practices, corporate friendly licensing, and a rigorously
 tested agile codebase. Zend Framework is focused on building more secure,
 reliable, and modern Web 2.0 applications & web services, and consuming widely
 available APIs from leading vendors like Google, Amazon, Yahoo!, Flickr, as
 well as API providers and cataloguers like StrikeIron and ProgrammableWeb.

=== debian/rules ===
#!/usr/bin/make -f
%:
	dh $@ --with phpcomposer

override_dh_install:
	dh_install
	install -D -m 0755 bin/zf.sh debian/zendframework-bin/usr/bin/zf

override_dh_clean:
	dh_clean -X.orig

override_dh_fixperms:
	dh_fixperms
	find debian/zendframework/usr/share/php/Zend -type f -executable | xargs chmod 0644

get-orig-source:
	uscan --verbose --rename --force

## zendframework 1.12.18+dfsg

=== debian/changelog ===
zendframework (1.12.18+dfsg-1) unstable; urgency=medium

  [ Matthew Weier O'Phinney ]
  * 1.12.18 preparations

  [ Enrico Zimuel ]
  * Fixed the rand usage

  [ Frank Brückner ]
  * Removes Zend_Gdata_YouTube which is based on Data API v2

  [ David Prévot ]
  * Update Standards-Version to 3.9.8

 -- David Prévot <taffit@debian.org>  Wed, 13 Apr 2016 16:57:00 -0400

zendframework (1.12.17+dfsg-2) unstable; urgency=medium

  * PHP 7.0 transition:
    - Update php5-* dependencies to php-*
    - Suggest other php- extensions no longer builtin
    - Rebuild with latest pkg-php-tools
  * Drop ownCloud for Debian maintainers from uploaders
  * Update Standards-Version to 3.9.7

 -- David Prévot <taffit@debian.org>  Sat, 05 Mar 2016 10:32:52 -0400

zendframework (1.12.17+dfsg-1) unstable; urgency=medium

  [ Martin Hujer ]
  * Zend_Validate_Hostname - updated TLD list to the version 2015102801

  [ Enrico Zimuel ]
  * Fixed the null byte test for Zend_Db_Adapter_Pdo
  * ZF2015-09: Fixed entropy issue in word CAPTCHA

 -- David Prévot <taffit@debian.org>  Mon, 23 Nov 2015 21:57:00 -0400

zendframework (1.12.16+dfsg-1) unstable; urgency=medium

  [ Matthew Weier O'Phinney ]
  * [ZF2015-07] Use umask of 0002 [CVE-2015-5723]
  * [1.12.16] release readiness

  [ Enrico Zimuel ]
  * [ZF2015-08] Fix null byte injection for PDO MsSql [CVE-2014-8089]

 -- David Prévot <taffit@debian.org>  Wed, 16 Sep 2015 08:08:40 -0400

zendframework (1.12.15+dfsg-1) unstable; urgency=medium

  [ Matthew Weier O'Phinney ]
  * [1.12.15] Release readinesss

 -- David Prévot <taffit@debian.org>  Sat, 29 Aug 2015 15:58:10 -0400

zendframework (1.12.14+dfsg-1) unstable; urgency=medium

  [ Frank Brückner ]
  * Classes for Technorati removed

  [ Matthew Weier O'Phinney ]
  * [ZF2015-06] Fix potential XXE vector via BOM detection [CVE-2015-5161]

  [ Martin Hujer ]
  * Drop DeveloperGarden API implementation as it shuts down on 30th June 2015

 -- David Prévot <taffit@debian.org>  Tue, 11 Aug 2015 09:34:58 +0200

zendframework (1.12.13+dfsg-1) unstable; urgency=medium

  [ Matthew Weier O'Phinney ]
  * Cast int and float to string when creating headers
  * [1.12.13] Release readiness

 -- David Prévot <taffit@debian.org>  Wed, 20 May 2015 12:09:09 -0400

zendframework (1.12.12+dfsg-1) unstable; urgency=high

  * Upload to unstable, with high urgency because of the security fix

  [ Matthew Weier O'Phinney ]
  * [ZF2015-04] Fix CRLF injections in HTTP and Mail [CVE-2015-3154]
  * [1.12.12] Release readiness

 -- David Prévot <taffit@debian.org>  Tue, 19 May 2015 14:56:04 -0400

zendframework (1.12.11+dfsg-1) experimental; urgency=medium

  [ Matthew Weier O'Phinney ]
  * Promoted to stable version 1.12.11

  [ Frank Brückner ]
  * Adds condition in ViewRenderer action helper

 -- David Prévot <taffit@debian.org>  Tue, 17 Feb 2015 19:53:26 -0400

zendframework (1.12.10+dfsg-1) experimental; urgency=medium

  [ Matthew Weier O'Phinney ]
  * [1.12.10] release preparation

  [ Rob Allen ]
  * Update copyright to 2015.

  [ David Prévot ]
  * Update copyright
  * Simplify rules
  * Add upstream changelog
  * Upload to experimental to respect the freeze

 -- David Prévot <taffit@debian.org>  Fri, 23 Jan 2015 15:18:20 -0400

## zendframework 1.12.20+dfsg

=== debian/changelog ===
zendframework (1.12.20+dfsg-1ubuntu1) zesty; urgency=medium

  * zend-framework -> zendframework transition (LP: #1593024,
    LP: #1066406):
    - Modify the definitions of zendframework and zendframework-bin to
      Replace & Break zend-framework and zend-framework-bin versions
      before this one.
    - Define transitional dummy packages for zend-framework,
      zend-framework-bin and libzend-framework-php. They can be dropped
      after 18.04 releases.
      + zend-framework also shipped a libzend-framework-zendx-php binary
        package, which is not present in zendframework.
        - zend-framework used a different upstream source that included
          ZendX. Per LP #1052423, the ZendX addons are "are experimental
          or not ready for production" and if there is anyone
          depending on this leaf package, it should be resolved in
          Debian via a new bug.
    - d/libzend-framework-php.maintscript: remove zend-framework.ini, as
      it is only used by libzend-framework-php.
    - d/libzend-framework-php.preinst: call phpdismod to remove
      zend-framework.ini symlinks for all PHP SAPIs.
      + As no PHP module is actually shipped by libzend-framework-php,
        it is safe to remove and disable this conffile, as it should
        only have been used to modify the include_path. That is, unlike
        other .ini files, no runtime behavior is intended to be
        controlled by this file.

 -- Nishanth Aravamudan <nish.aravamudan@canonical.com>  Tue, 06 Dec 2016 13:38:26 +0100

zendframework (1.12.20+dfsg-1) unstable; urgency=medium

  [ Matthew Weier O'Phinney ]
  * Preparation for 1.12.20

  [ David Prévot ]
  * Document now assigned CVE in previous changelog entry

  [ Enrico Zimuel ]
  * Fixed SQL Injection in order and group

 -- David Prévot <taffit@debian.org>  Sat, 10 Sep 2016 11:33:39 -1000

zendframework (1.12.19+dfsg-1) unstable; urgency=medium

  [ Matthew Weier O'Phinney ]
  * Added EOL announcement to README and CONTRIBUTING guide
  * Prepared for 1.12.19 release

  [ Enrico Zimuel ]
  * Fixed potential SQL injections in order() and group() [CVE-2016-6233]

 -- David Prévot <taffit@debian.org>  Fri, 15 Jul 2016 15:14:39 -0400

=== debian/control ===
--- 
+++ 
@@ -1,12 +1,12 @@
 Source: zendframework
 Section: php
 Priority: optional
-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PHP PEAR Maintainers <pkg-php-pear@lists.alioth.debian.org>
 Uploaders: Frank Habermann <lordlamer@lordlamer.de>,
-           ownCloud for Debian maintainers <pkg-owncloud-maintainers@lists.alioth.debian.org>,
            David Prévot <taffit@debian.org>
 Build-Depends: debhelper (>= 7.0.50), pkg-php-tools (>= 1.7~)
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://framework.zend.com
 Vcs-Git: git://anonscm.debian.org/pkg-php/zendframework.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-php/zendframework.git
@@ -14,17 +14,23 @@
 Package: zendframework
 Architecture: all
 Depends: ${misc:Depends}, ${phpcomposer:Debian-require}
-Suggests: php5-curl,
-          php5-gd,
-          php5-imap,
-          php5-json,
-          php5-ldap,
-          php5-mysql,
-          php5-pgsql,
-          php5-sqlite,
+Suggests: php-bcmath,
+          php-bz2,
+          php-curl,
+          php-gd,
+          php-imap,
+          php-json,
+          php-ldap,
+          php-mbstring,
+          php-mysql,
+          php-pgsql,
+          php-soap,
+          php-sqlite3,
+          php-xml,
+          php-zip,
           ${phpcomposer:Debian-suggest}
-Replaces: ${phpcomposer:Debian-replace}
-Breaks: ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
+Replaces: zend-framework (<< 1.12.20+dfsg-1ubuntu1~), libzend-framework-php (<< 1.12.20+dfsg-1ubuntu1~), ${phpcomposer:Debian-replace}
+Breaks: zend-framework (<< 1.12.20+dfsg-1ubuntu1~), libzend-framework-php (<< 1.12.20+dfsg-1ubuntu1~), ${phpcomposer:Debian-conflict}, ${phpcomposer:Debian-replace}
 Provides: zend-framework, ${phpcomposer:Debian-provide}
 Description: powerful PHP framework
  Extending the art & spirit of PHP, Zend Framework is based on simplicity,
@@ -36,7 +42,10 @@
 
 Package: zendframework-bin
 Architecture: all
-Depends: php5-cli, zendframework, ${misc:Depends}
+Depends: php-cli, zendframework, ${misc:Depends}
+Replaces: zend-framework-bin (<< 1.12.20+dfsg-1ubuntu1~)
+Breaks: zend-framework-bin (<< 1.12.20+dfsg-1ubuntu1~)
+Provides: zend-framework-bin
 Description: binary scripts for zendframework
  Extending the art & spirit of PHP, Zend Framework is based on simplicity,
  object-oriented best practices, corporate friendly licensing, and a rigorously
@@ -55,3 +64,27 @@
  reliable, and modern Web 2.0 applications & web services, and consuming widely
  available APIs from leading vendors like Google, Amazon, Yahoo!, Flickr, as
  well as API providers and cataloguers like StrikeIron and ProgrammableWeb.
+
+Package: libzend-framework-php
+Depends: zendframework, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+
+Package: zend-framework
+Depends: zendframework, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.
+
+Package: zend-framework-bin
+Depends: zendframework-bin, ${misc:Depends}
+Architecture: all
+Priority: extra
+Section: oldlibs
+Description: transitional dummy package
+ This is a transitional dummy package. It can safely be removed.

=== debian/rules ===
--- 
+++ 
@@ -6,8 +6,8 @@
 	dh_install
 	install -D -m 0755 bin/zf.sh debian/zendframework-bin/usr/bin/zf
 
-override_dh_clean:
-	dh_clean -X.orig
+override_dh_installchangelogs:
+	dh_installchangelogs $(CURDIR)/debian/upstream/changelog
 
 override_dh_fixperms:
 	dh_fixperms

=== debian/watch ===
version=3
options=uversionmangle=s/([^\d.])/~$1/i;tr/A-Z/a-z/,dversionmangle=s/\+dfsg$//,repacksuffix=+dfsg \
https://github.com/zendframework/zf1/releases \
.*/archive/release-(\d.*)\.tar\.gz
